%define rel             8
%define api_version     0.3
%define lib_major       3
%define lib_name        %mklibname wps %{api_version} %{lib_major}
%define lib_name_devel  %mklibname -d wps

Name:		libwps
Summary:	Library for reading and converting Microsoft Works word processor documents
Epoch:		1
Version:	0.3.1
Release:	%mkrel %{rel}
Source:		http://downloads.sourceforge.net/%{name}/%{name}/%{name}-%{version}.tar.xz
Group:		Office/Utilities
URL:		http://libwps.sourceforge.net/
License:	LGPLv2+
BuildRequires:	boost-devel
BuildRequires:	doxygen
BuildRequires:	help2man
BuildRequires:	pkgconfig(librevenge-0.0)

%description
%{name} is a library for import of Microsoft Works text documents,
spreadsheets and (in a limited way) databases.


%package	tools
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Summary:	Tools to transform Works documents into other formats
Group:		Publishing

%description tools
Tools to transform Works documents into other formats.
Currently supported: html, raw, text

%package	-n %{lib_name}
Summary:	Library for reading and converting Microsoft Works word processor documents
Group:		System/Libraries
Obsoletes:	%mklibname wps- 0.1 1

%description -n %{lib_name}
%{name} is a library for import of Microsoft Works text documents,
spreadsheets and (in a limited way) databases.

%package	-n %{lib_name_devel}
Summary:	Files for developing with libwps
Group:		Development/C++
Requires:	%{lib_name} = %{epoch}:%{version}-%{release}
Provides:	libwps-devel = %{epoch}:%{version}-%{release}

%description -n %{lib_name_devel}
Includes and definitions for developing with libwps.

%package	docs
Requires:	libwps-devel = %{epoch}:%{version}-%{release}
Summary:	Documentation of libwps API
Group:		Development/C++
BuildArch:	noarch

%description docs
Documentation of libwps API for developing with libwps

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --disable-static --disable-werror
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files tools
%{_bindir}/*

%files -n %{lib_name}
%{_libdir}/libwps*-%{api_version}.so.%{lib_major}
%{_libdir}/libwps*-%{api_version}.so.%{lib_major}.*

%files -n %{lib_name_devel}
%{_libdir}/libwps*-%{api_version}.so
%{_libdir}/pkgconfig/libwps*-%{api_version}.pc
%{_includedir}/libwps-%{api_version}/libwps

%files docs
%{_docdir}/libwps/*


%changelog
* Sun Feb 01 2015 tv <tv> 1:0.3.1-8.mga4
+ Revision: 812978
- submit to core/release

* Sat Jan 31 2015 tv <tv> 1:0.3.1-7.mga5
+ Revision: 812800
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1:0.3.0-7.mga5
+ Revision: 742492
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:0.3.0-6.mga5
+ Revision: 681862
- Mageia 5 Mass Rebuild

* Thu Jul 31 2014 tv <tv> 1:0.3.0-5.mga5
+ Revision: 658655
- fix BR
- update BR

* Thu Jul 31 2014 tv <tv> 1:0.3.0-4.mga5
+ Revision: 658517
- adjust file list
- BR librevenge
- new release
- new release

* Sat Oct 19 2013 umeabot <umeabot> 1:0.2.9-4.mga4
+ Revision: 532389
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 fwang <fwang> 1:0.2.9-3.mga4
+ Revision: 468244
- disable werror

* Mon Jul 08 2013 fwang <fwang> 1:0.2.9-2.mga4
+ Revision: 451141
- rebuild for new boost

* Sat Jun 01 2013 sander85 <sander85> 1:0.2.9-1.mga4
+ Revision: 434162
- Fix group
- New version: 0.2.9

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jun 15 2012 fwang <fwang> 1:0.2.7-2.mga3
+ Revision: 260714
- fix requires

* Fri Jun 15 2012 fwang <fwang> 1:0.2.7-1.mga3
+ Revision: 260694
- new version 0.2.7

* Fri Jun 08 2012 fwang <fwang> 1:0.2.6-1.mga3
+ Revision: 257676
- br boost
- new version 0.2.6

* Tue Dec 06 2011 fwang <fwang> 1:0.2.4-1.mga2
+ Revision: 177321
- new version 0.2.4

* Mon Jul 18 2011 fwang <fwang> 1:0.2.2-1.mga2
+ Revision: 125636
- new version 0.2.2

* Sun Jan 23 2011 dmorgan <dmorgan> 1:0.2.0-5.mga1
+ Revision: 33514
- New version ( 0.2.0 ) Neeeded by libreoffice
- imported package libwps

